const TaskBase=require("../task.base");
var system=require("../../system")
const logCtl=system.getObject("web.oplogCtl");
class BusinessTwoAllotTask extends TaskBase{
  constructor(){
    super(TaskBase.getServiceName(BusinessTwoAllotTask));
    this.channelmanageallotSve=system.getObject("service.channelmanageallotSve");
  }
  async subDoTask(){
    await this.execTj();
  }
  async execTj(){
    console.log("商机分配平台跟进中执行结果*******************************任务*************************************88");
    var tmp=await this.channelmanageallotSve.businessOneAllot("https://boss.gongsibao.com/distributeneed#/businesschance/waitdeal?from=mobile");
    //日志记录
    logCtl.info({
       optitle:"商机分配平台跟进中执行结果",
       op:"base/db/task/BusinessTwoAllotTask.js",
       content:"执行结果："+JSON.stringify(tmp),
       clientIp:""
     });
  }
}
module.exports=BusinessTwoAllotTask;

//
// var task=new PlatformBalanceTask();
// task.checkPlatformBalance().then(function(result){
//   console.log((result));
// }).catch(function(e){
//   console.log(e);
// });
